cd  ..
@del temp\example.o
@del temp\example.nes
@del temp\example.map.txt
@del temp\example.labels.txt
@del temp\example.nes.ram.nl
@del temp\example.nes.0.nl
@del temp\example.nes.1.nl
@echo.
@echo Compiling...
cc65\bin\ca65 art_test\example.s -g -o temp\example.o
@IF ERRORLEVEL 1 GOTO failure
@echo.
@echo Linking...
cc65\bin\ld65 -o temp\example.nes -C art_test\example.cfg temp\example.o -m temp\example.map.txt -Ln temp\example.labels.txt --dbgfile temp\example.nes.dbg
@IF ERRORLEVEL 1 GOTO failure
@echo.
@echo Generating FCEUX debug symbols...
python art_test\example_fceux_symbols.py
@echo.
@echo Success!
@pause
@GOTO endbuild
:failure
@echo.
@echo Build error!
@pause
:endbuild
