; NSFe

NSF_INIT = $FF00 ; defined in startup.s / startup.cfg
.import nsf_ramcode_play

.segment "NSFE"
.byte "NSFE"

.segment "INFO"
.import __INFO_SIZE__
.dword (__INFO_SIZE__-8)
.byte "INFO"
.word $8000
.word NSF_INIT
.word nsf_ramcode_play
.byte %00000010 ; PAL/NTSC bitfield
.byte %00000000 ; expansions bitfield
.byte 10 ; song count
.byte 0 ; starting song

.segment "BANK"
.import __BANK_SIZE__
.dword (__BANK_SIZE__-8)
.byte "BANK"
.byte 0,0,0,0,0,0,0,$7F

.segment "DCNK"
.import __DCNK_SIZE__
.dword (__DCNK_SIZE__-8)
.byte "DATA"
.incbin "temp/00_7F.bin"

.segment "plst"
.import __plst_SIZE__
.dword (__plst_SIZE__-8)
.byte "plst"
.byte 0,1,2,3,4,5,6,7,8,9

.segment "time"
.import __time_SIZE__
.dword (__time_SIZE__-8)
.byte "time"
.dword (( 2*60)+31+2)*1000 ; 03
.dword (( 2*60)+56+0)*1000 ; 05
.dword (( 3*60)+48+2)*1000 ; 06
.dword (( 2*60)+15+2)*1000 ; 0A
.dword (( 1*60)+46+0)*1000 ; 09
.dword (( 3*60)+35+0)*1000 ; 00
.dword (( 3*60)+26+2)*1000 ; 07
.dword (( 1*60)+58+2)*1000 ; 02
.dword (( 1*60)+43+2)*1000 ; 04
.dword (( 3*60)+43+2)*1000 ; 08

.segment "fade"
.import __fade_SIZE__
.dword (__fade_SIZE__-8)
.byte "fade"
.dword 0
.dword 2000
.dword 0
.dword 0
.dword 2000
.dword 2000
.dword 0
.dword 0
.dword 0
.dword 0

.segment "tlbl"
.import __tlbl_SIZE__
.dword (__tlbl_SIZE__-8)
.byte "tlbl"
.asciiz "Gyrouh - Benny the Seal"
.asciiz "Maak - Emotional Magic"
.asciiz "MXSP - Hi-Tech"
.asciiz "Tom Miller - Ancient Melody"
.asciiz "RushJet1 - The Grand Imbecile"
.asciiz "Bun - 񂽂 傤"
.asciiz "Offgao - Otenba Tomboy"
.asciiz "DustHillGuy - I'm So Glad Chris Hooper is My Friend"
.asciiz "Keffie - Moloch"
.asciiz "RoleMusic - Yokushun"

.segment "auth"
.import __auth_SIZE__
.dword (__auth_SIZE__-8)
.byte "auth"
.asciiz "Famicompo Pico"            ; title
.asciiz "Famicompo Pico"            ; artist
.asciiz "2015 bitpuritans.eu/compo" ; copyright
.asciiz "rainwarrior"               ; ripper

.segment "text"
.import __text_SIZE__
.dword (__text_SIZE__-8)
.byte "text"
.byte "Famicompo Pico, 2015.",13,10
.byte "http://bitpuritans.eu/compo"
.byte 0

.segment "NEND"
.import __NEND_SIZE__
.dword (__NEND_SIZE__-8)
.byte "NEND"
